Subject: Re: [mpls] [PWE3] Working Group Last Call on draft-ietf-mpls-retire-ach-tlv

From: "Andrew G. Malis" <[email-masked]>
Date: Fri, 28 Jun 2013 08:34:27 -0400

Adrian,

Looks good to me. Just from an English language aspect (here I am lecturing
a Brit about English :-) I suggest either removing the final comma from
your text or alternatively adding a comma after
"ACH messages".

Cheers,
Andy

On Fri, Jun 28, 2013 at 8:25 AM, Adrian Farrel <[email-masked]> wrote:

> > However TLVs might be carried in the GACh messages, the disticnction
> > is not entirely clear in the draft, can the authors please make
> > this clear.
>
> Happily.
>
> The current version defines "ACH TLV" as "TLV constructs that can be
> carried in
> messages on the G-ACh by placing them in the ACH between the fixed header
> fields
> and the G-ACh message."
>
> Thus, retiring ACH TLVs, obviously means only removing this concept and
> not any
> other TLV-related concept.
>
> I would propose to change the last sentence of Section 1 as follows:
>
> OLD
>    This document states that ACH TLVs as specified in RFC 5586 are not
>    useful and might be harmful.  It updates RFC 5586 by deprecating the
>    ACH TLV and updating the associated IANA registries as described in
>    Section 4 of this document.
> NEW
>    This document states that ACH TLVs as specified in RFC 5586 are not
>    useful and might be harmful.  It updates RFC 5586 by deprecating the
>    ACH TLV and updating the associated IANA registries as described in
>    Section 4 of this document.  This document makes no comment about the
>    use of TLVs in other places.  In particular, proposals to use TLVs
>    within ACH messages, or as an appendage to ACH messages are not in
>    scope of this document.
> END
>
> Does that work?
>
> Thanks,
> Adrian
>
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pwe3
>